Problem Builder Usage
=====================

When you add the **Problem Builder** component to a course in the studio, the
built-in editing tools guide you through the process of configuring the block
and adding individual questions.

See [Question Types](Questions.md) to learn about the various types of question
that can be added to a Problem Builder block.


Configuration Options
---------------------

### Maximum Attempts

You can limit the number of times students are allowed to complete a
Mentoring component by setting the **Max. attempts allowed** option.

Before submitting an answer for the first time:

![Max Attempts Before](img/max-attempts-before.png)

After submitting a wrong answer two times:

![Max Attempts Reached](img/max-attempts-reached.png)

### Custom Window Size for Tip Popups

You can specify **Width** and **Height** attributes of any Tip
component to customize the popup window size. The value of those
attributes should be valid CSS (e.g. `50px`).
